Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.socials.update({
id: "<id>",
requestBody: {},
});
console.log(result);
}
run();curl --request PATCH \
--url https://api.crevio.co/v1/socials/posts/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"platforms": [],
"platform_data": {}
}
'import requests
url = "https://api.crevio.co/v1/socials/posts/{id}"
payload = {
"content": "<string>",
"platforms": [],
"platform_data": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', platforms: [], platform_data: {}})
};
fetch('https://api.crevio.co/v1/socials/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"id": "<string>",
"title": "<string>",
"content": "<string>",
"platforms": {},
"platform_data": {},
"upload_ids": "<array>",
"scheduled_at": "2023-11-07T05:31:56Z",
"posted_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"analytics": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Social
Edit a draft post
Edits a draft post. Only posts in the draft status are editable.
PATCH
/
socials
/
posts
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.socials.update({
id: "<id>",
requestBody: {},
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
Resource ID (prefix_id)
Body
application/json
Response
Post
Available options:
draft, publishing, scheduled, posted, failed, disconnected Was this page helpful?
⌘I

